using LSFE.MobApp.ViewModels;

namespace LSFE.MobApp.Pages.Attendance;

public partial class AttendancePage : ContentPage
{
    private readonly AttendanceVM _viewModel;

    public AttendancePage(AttendanceVM viewModel)
    {
        InitializeComponent();
        _viewModel = viewModel;
        BindingContext = _viewModel;
    }

    protected override async void OnAppearing()
    {
        base.OnAppearing();
        await _viewModel.InitializeAsync();
    }
}